input {
  file {
    path => "/var/log/zooxops/kiosk_disk_clear_d"
    start_position => "beginning"
  }
  file {
    path => "/var/log/zooxops/kiosk_sync_d"
    start_position => "beginning"
  }
}

filter {
  grok {
    match => { "message" => "%{YEAR}-%{MONTHNUM}-%{MONTHDAY}[T ]%{HOUR}:?%{MINUTE}(?::?%{SECOND}),%{NUMBER:milliseconds}:%{LOGLEVEL}:%{GREEDYDATA:module}:%{GREEDYDATA:message}" }
  }
}

output {
    elasticsearch {
      hosts => ["https://search-metrics-production-c65mdhdibmbmkl4pfiqsj5yhmq.us-west-2.es.amazonaws.com/"]
      index => "ingest-kiosk"
      document_type => "ingest-kiosk-log"
    }
}
